Bulk enable Attack Discovery schedules

Base URL
https://{kibana_url}
  • POST /api/attack_discovery/schedules/_bulk_enable
Auth

Enables multiple Attack Discovery schedules by ID.

Request body

ids string[] · format: nonempty · min items: 1 required

The unique identifiers of the Attack Discovery schedules to update.

Responses

Successfully processed the bulk enable request.

application/json
errors object[] required
message string required

The error message returned for the failed schedule.

rule object required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

name string required

The name of the failed schedule.

status number

Optional HTTP status associated with the failed schedule operation.

ids string[] · format: nonempty required

The unique identifiers of the schedules successfully affected by the bulk action.

total number required

The total number of schedules matched by the bulk action.

Base URL
https://{kibana_url}